﻿using System;

using DevExpress.XtraEditors;
using DevExpress.XtraTreeList.Columns;
using DevExpress.XtraTreeList.Nodes;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : XtraForm
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Load += Form_Load;
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 폼 로드시 처리하기 - Form_Load(sender, e)

        /// <summary>
        /// 폼 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void Form_Load(object sender, EventArgs e)
        {
            this.treeList.RowHeight                = 25;
            this.treeList.OptionsView.AutoWidth    = false;
            this.treeList.OptionsBehavior.ReadOnly = true;

            this.treeList.BeginUpdate();

            TreeListColumn customerColumn = this.treeList.Columns.Add();

            customerColumn.Caption      = "Customer";
            customerColumn.VisibleIndex = 0;

            TreeListColumn locationColumn = this.treeList.Columns.Add();

            locationColumn.Caption      = "Location";
            locationColumn.VisibleIndex = 1;

            TreeListColumn phoneColumn = this.treeList.Columns.Add();

            phoneColumn.Caption      = "Phone";
            phoneColumn.VisibleIndex = 2;

            this.treeList.EndUpdate();

            this.treeList.BeginUnboundLoad();

            TreeListNode rootNode = this.treeList.AppendNode
            (
                new object[]
                {
                    "Alfreds Futterkiste",
                    "Germany, Obere Str. 57",
                    "030-0074321"
                },
                null
            );

            this.treeList.AppendNode
            (
                new object[]
                {
                    "Suyama, Michael",
                    "Obere Str. 55",
                    "030-0074263"
                },
                rootNode
            );

            this.treeList.EndUnboundLoad();

            this.treeList.BestFitColumns();

            this.treeList.ExpandAll();
        }

        #endregion
    }
}